Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractMediaOutput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractMediaOutput

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, ResourceComponent, ResourceComponent2

Direct Known Subclasses:
  UIMediaOutput

    public abstract class AbstractMediaOutput

extends javax.faces.component.UIOutput
implements ResourceComponent2

Author:
  shura

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractMediaOutput()`

Method Summary
`abstract String` | `getAccesskey()`
`abstract String` | `getAlign()`
`abstract String` | `getArchive()`
`abstract String` | `getBorder()`
`abstract String` | `getCharset()`
`abstract String` | `getClassid()`
`abstract String` | `getCodebase()`
`abstract String` | `getCodetype()`
`abstract String` | `getCoords()`
`javax.faces.el.MethodBinding` | `getCreateContent()` Get EL binding to method in user bean to send resource.
`abstract javax.el.MethodExpression` | `getCreateContentExpression()`
`abstract String` | `getDeclare()`
`abstract String` | `getDir()`
`abstract String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
`abstract Date` | `getExpires()`
`abstract String` | `getHreflang()`
`abstract String` | `getHspace()`
`abstract String` | `getLang()`
`abstract Date` | `getLastModified()`
`abstract String` | `getMimeType()`
`abstract String` | `getOnblur()`
`abstract String` | `getOnclick()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnfocus()`
`abstract String` | `getOnkeydown()`
`abstract String` | `getOnkeypress()`
`abstract String` | `getOnkeyup()`
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getRel()`
`javax.faces.application.Resource` | `getResource()`
`abstract String` | `getRev()`
`abstract String` | `getShape()`
`abstract String` | `getStandby()`
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`abstract String` | `getTabindex()`
`abstract String` | `getTarget()`
`abstract String` | `getTitle()`
`abstract String` | `getType()`
`abstract String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
`abstract String` | `getUsemap()`
`abstract String` | `getVspace()`
`abstract boolean` | `isCacheable()`
`abstract boolean` | `isIsmap()`
`boolean` | `isSession()` Deprecated.
`void` | `setCreateContent(javax.faces.el.MethodBinding newvalue)` Set EL binding to method in user bean to send resource.
`void` | `setSession(boolean session)` Deprecated.

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.resource.ResourceComponent2
`setCreateContentExpression`

Methods inherited from interface org.ajax4jsf.resource.ResourceComponent
`getValue, setCacheable, setExpires, setLastModified, setMimeType, setValue`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractMediaOutput

    public AbstractMediaOutput()

Method Detail

### getUriAttribute

    public abstract String getUriAttribute()

  Get URI attribute for resource ( src for images, href for links etc ).

  Returns:

### getElement

    public abstract String getElement()

  Get Element name for rendering ( imj , a , object, applet ).

  Returns:

### getCreateContent

    public javax.faces.el.MethodBinding getCreateContent()

  Get EL binding to method in user bean to send resource. Method will called with two parameters - restored data object and servlet output stream.

  Specified by:
    `getCreateContent` in interface `ResourceComponent`
  Returns:
    MethodBinding to createContent

### setCreateContent

    public void setCreateContent(javax.faces.el.MethodBinding newvalue)

  Set EL binding to method in user bean to send resource. Method will called with two parameters - restored data object and servlet output stream.

  Specified by:
    `setCreateContent` in interface `ResourceComponent`
  Parameters:
    `newvalue` - - new value of createContent method binding

### getResource

    public javax.faces.application.Resource getResource()

### getAccesskey

    public abstract String getAccesskey()

### getAlign

    public abstract String getAlign()

### getArchive

    public abstract String getArchive()

### getBorder

    public abstract String getBorder()

### isCacheable

    public abstract boolean isCacheable()

  Specified by:
    `isCacheable` in interface `ResourceComponent`

### getCharset

    public abstract String getCharset()

### getClassid

    public abstract String getClassid()

### getCodebase

    public abstract String getCodebase()

### getCodetype

    public abstract String getCodetype()

### getCoords

    public abstract String getCoords()

### getCreateContentExpression

    public abstract javax.el.MethodExpression getCreateContentExpression()

  Specified by:
    `getCreateContentExpression` in interface `ResourceComponent2`

### getDeclare

    public abstract String getDeclare()

### getDir

    public abstract String getDir()

### getExpires

    public abstract Date getExpires()

  Specified by:
    `getExpires` in interface `ResourceComponent`

### getHreflang

    public abstract String getHreflang()

### getHspace

    public abstract String getHspace()

### isIsmap

    public abstract boolean isIsmap()

### getLang

    public abstract String getLang()

### getLastModified

    public abstract Date getLastModified()

  Specified by:
    `getLastModified` in interface `ResourceComponent`

### getMimeType

    public abstract String getMimeType()

  Specified by:
    `getMimeType` in interface `ResourceComponent`

### getRel

    public abstract String getRel()

### getRev

    public abstract String getRev()

### getShape

    public abstract String getShape()

### getStandby

    public abstract String getStandby()

### getStyle

    public abstract String getStyle()

### getStyleClass

    public abstract String getStyleClass()

### getTabindex

    public abstract String getTabindex()

### getTarget

    public abstract String getTarget()

### getTitle

    public abstract String getTitle()

### getType

    public abstract String getType()

### getUsemap

    public abstract String getUsemap()

### getVspace

    public abstract String getVspace()

### getOnblur

    public abstract String getOnblur()

### getOnclick

    public abstract String getOnclick()

### getOndblclick

    public abstract String getOndblclick()

### getOnfocus

    public abstract String getOnfocus()

### getOnkeydown

    public abstract String getOnkeydown()

### getOnkeypress

    public abstract String getOnkeypress()

### getOnkeyup

    public abstract String getOnkeyup()

### getOnmousedown

    public abstract String getOnmousedown()

### getOnmousemove

    public abstract String getOnmousemove()

### getOnmouseout

    public abstract String getOnmouseout()

### getOnmouseover

    public abstract String getOnmouseover()

### getOnmouseup

    public abstract String getOnmouseup()

### isSession

    @Deprecated
    public boolean isSession()

  Deprecated.

  Specified by:
    `isSession` in interface `ResourceComponent`

### setSession

    @Deprecated
    public void setSession(boolean session)

  Deprecated.

  Specified by:
    `setSession` in interface `ResourceComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.